DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Typedefs | Functions | Variables
loglevel.h File Reference

This header defines the LogLevel type. More...

## Classes
class | dcmtk::log4cplus::LogLevelManager
| This class is used to "manage" LogLevel definitions. More...
struct | dcmtk::log4cplus::LogLevelManager::LogLevelToStringMethodRec
union | dcmtk::log4cplus::LogLevelManager::LogLevelToStringMethodRec.__unnamed0__

## Typedefs
typedef int | dcmtk::log4cplus::LogLevel
| Defines the minimum set of priorities recognized by the system, that is `FATAL_LOG_LEVEL`, `ERROR_LOG_LEVEL`, `WARN_LOG_LEVEL`, `INFO_LOG_LEVEL`, `DEBUG_LOG_LEVEL`, and `TRACE_LOG_LEVEL`.
typedef log4cplus::tstring const &(* | dcmtk::log4cplus::LogLevelToStringMethod) (LogLevel)
| This method type defined the signature of methods that convert LogLevels into strings.
typedef log4cplus::tstring(* | dcmtk::log4cplus::LogLevelToStringMethod_1_0) (LogLevel)
| This function type is for log4cplus 1.0.x callbacks.
typedef LogLevel(* | dcmtk::log4cplus::StringToLogLevelMethod) (const log4cplus::tstring &)
| This method type defined the signature of methods that convert strings into LogLevels.

## Functions
DCMTK_LOG4CPLUS_EXPORT LogLevelManager & | dcmtk::log4cplus::getLogLevelManager ()
| Returns the singleton LogLevelManager.

## Variables
const LogLevel | dcmtk::log4cplus::OFF_LOG_LEVEL = 60000
| The `OFF_LOG_LEVEL` LogLevel is used during configuration to turn off logging.
const LogLevel | dcmtk::log4cplus::FATAL_LOG_LEVEL = 50000
| The `FATAL_LOG_LEVEL` LogLevel designates very severe error events that will presumably lead the application to abort.
const LogLevel | dcmtk::log4cplus::ERROR_LOG_LEVEL = 40000
| The `ERROR_LOG_LEVEL` LogLevel designates error events that might still allow the application to continue running.
const LogLevel | dcmtk::log4cplus::WARN_LOG_LEVEL = 30000
| The `WARN_LOG_LEVEL` LogLevel designates potentially harmful situations.
const LogLevel | dcmtk::log4cplus::INFO_LOG_LEVEL = 20000
| The `INFO_LOG_LEVEL` LogLevel designates informational messages that highlight the progress of the application at coarse-grained level.
const LogLevel | dcmtk::log4cplus::DEBUG_LOG_LEVEL = 10000
| The `DEBUG_LOG_LEVEL` LogLevel designates fine-grained informational events that are most useful to debug an application.
const LogLevel | dcmtk::log4cplus::TRACE_LOG_LEVEL = 0
| The `TRACE_LOG_LEVEL` LogLevel is used to "trace" entry and exiting of methods.
const LogLevel | dcmtk::log4cplus::ALL_LOG_LEVEL = TRACE_LOG_LEVEL
| The `ALL_LOG_LEVEL` LogLevel is used during configuration to turn on all logging.
const LogLevel | dcmtk::log4cplus::NOT_SET_LOG_LEVEL = -1
| The `NOT_SET_LOG_LEVEL` LogLevel is used to indicated that no particular LogLevel is desired and that the default should be used.

## Detailed Description

This header defines the LogLevel type.

## Class Documentation

## ◆ dcmtk::log4cplus::LogLevelManager::LogLevelToStringMethodRec

struct dcmtk::log4cplus::LogLevelManager::LogLevelToStringMethodRec

## ◆ dcmtk::log4cplus::LogLevelManager::LogLevelToStringMethodRec.__unnamed0__

union dcmtk::log4cplus::LogLevelManager::LogLevelToStringMethodRec.__unnamed0__

## Typedef Documentation

## ◆ LogLevelToStringMethod

typedef log4cplus::tstring const &(* dcmtk::log4cplus::LogLevelToStringMethod) (LogLevel)

This method type defined the signature of methods that convert LogLevels into strings.

Note: Must return an empty `tstring` for unrecognized values.

## ◆ StringToLogLevelMethod

typedef LogLevel(* dcmtk::log4cplus::StringToLogLevelMethod) (const log4cplus::tstring &)

This method type defined the signature of methods that convert strings into LogLevels.

Note: Must return `NOT_SET_LOG_LEVEL` for unrecognized values.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2